@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@600&display=swap');


:root {
  --bg-color: #2f3136;
  --second-bg-color: #202225;
  --font-color: #dcddde;
  --block-color: #36393f;
  --hover-color: #565b65;
  --main-font: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  --second-font: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

[data-theme="light"] {
  --bg-color: #e4e5f1;
  --second-bg-color: #9394a5;
  --font-color: #202225;
  --block-color: #dcddde;
  --hover-color: #fafafa;
}

html {
  overflow: scroll;
  overflow-x: hidden;
  scrollbar-width: none;
}

::-webkit-scrollbar {
    width: 0px;
    height: 0px;
    background: transparent;
}

body {
  background-color: var(--bg-color);
  margin: 0px;
}

h1 {
  color: var(--font-color);
  font-family: var(--main-font);
}

h2 {
  color: var(--font-color);
  font-family: var(--main-font);
}

h2 a {
  padding: 20px;
  text-decoration: none;
  font-family: var(--main-font);
  background-color: var(--second-bg-color);
  color: var(--font-color);
  display: block;
}

h2 a:hover {
  background-color: var(--hover-color);
  cursor: pointer;
}

#searchBar {
  margin: 0px;
  width: 74vw;
  font-family: var(--main-font);
  font-size: 18px;
  padding: 11px;
  border: 1px solid var(--block-color);
  background-color: var(--second-bg-color);
  color: var(--font-color);
}

#randomButton {
  margin: 0px;
  width: 24vw;
  font-family: var(--main-font);
  font-size: 18px;
  padding: 11px;
  border: 1px solid var(--block-color);
  background-color: var(--second-bg-color);
  color: var(--font-color);
}

#randomButton:hover {
  cursor: pointer;
  background-color: var(--hover-color);
}

#subpageList {
  list-style-type: none;
  padding: 0;
  margin: 0;
  background-color: var(--block-color);
}

#subpageList li a {
  padding: 12px;
  text-decoration: none;
  font-size: 17px;
  font-family: var(--second-font);
  color: var(--font-color);
  display: block;
}

#subpageList li a:hover {
  background-color: #565b65;
}

.alert {
  padding: 20px;
  background-color: #f44336;
  color: white;
}

.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.closebtn:hover {
  color: black;
}

#contact span {
  color: var(--font-color);
  font-family: var(--main-font);
  padding-bottom: 10px;
}

.panel {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 10%;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);
}

.panel-content {
  background-color: var(--block-color);
  color: var(--font-color);
  font-family: 'Source Sans Pro', sans-serif;
  text-align: center; 
  font-size: 50px;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 40%;
}

p.panel-content {
  color: var(--font-color);
  font-family: var(--second-font);
  text-align: center; 
  font-size: 50px;
}

.close {
  color: #999;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

.panel-button {
  background-color: var(--bg-color);
  border: none;
  color: var(--font-color);
  padding: 10px 15px 10px 10px;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  display: inline-block;
  font-size: 32px;
  margin-right: 5px;
  border-color: var(--hover-color);
  border-style: ridge;
  border-radius: 7%;
}

.panel-button:hover {
  background-color: var(--hover-color);
  cursor: pointer;
}

.note {
  color: #888;
  font-size: small;
}